package net.northking.cctp.common.sequence;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

/**
 * 序列不做持久化
 */
public class SequenceNoneStorage implements SequenceStorage
{
  private static final Logger logger = LoggerFactory.getLogger(SequenceNoneStorage.class);

  @Override
  public void save(String key, long value)
  {
    logger.debug("序列key={}, value={} 不做持久化", key, value);
  }

  @Override
  public Map<String, Long> findAll()
  {
    logger.debug("序列不做持久化");
    return new HashMap<>();
  }
}
